@font-face { /*Light 300*/
    font-family: 'MyFont';
    src: url('fonts/Alibaba-Light.woff2') format('woff2'),
         url('fonts/Alibaba-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}
@font-face { /*Regular 400*/
    font-family: 'MyFont';
    src: url('fonts/Alibaba-Regular.woff2') format('woff2'),
         url('fonts/Alibaba-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}
@font-face { /*Bold 700*/
    font-family: 'MyFont';
    src: url('fonts/Alibaba-Bold.woff2') format('woff2'),
         url('fonts/Alibaba-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}
@font-face { /*Black 900*/
    font-family: 'MyFont';
    src: url('fonts/Alibaba-Black.woff2') format('woff2'),
         url('fonts/Alibaba-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
}
/*----------------------------*/
body {
    font-family: 'MyFont';
    font-weight: 400;
    margin:0;
    padding:0;

    background-image: url("images/background-e689443a.png");
    background-size: 100% auto;
    /* background-repeat: repeat-y; */
    background-position: center top;
}
section {
    padding: 40px 0px;
    /* max-width:1000px; */
    margin:auto;
}
.fade-in-section {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.fade-in-section.show {
    opacity: 1;
    transform: translateY(0);
}
h2 {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    text-align:center;
    margin-bottom: 10px;
    color:#000000;
    font-family: 'MyFont';
    font-weight: 700;
    font-size:23px;
}
/*============================================================= لاین استودیو مشکات*/
header {
    /* background-image: url("images/background-e689443a.png"); */
    /* background-size: cover; */
    /* background-position: center; */
    /* background-repeat: no-repeat; */
    color: #000000;
    padding: 25px 0px;
    text-align: center;
    padding-top: 110px;
}
header h1 {
    color: #003a73;
    font-family: 'MyFont';
    font-weight: 900;
    font-size:26px;
    direction: rtl;
    text-align: center;
    /* max-width: 600px; */
    /* margin: 0 auto 20px; */
}
header p {
    font-family: 'MyFont';
    font-weight: 500;
    font-size:15px;
    direction: rtl;
    text-align: center;
}
header a {
    font-family: 'MyFont';
    font-weight: 700;
    font-size:14px;
    text-decoration:none;
    box-shadow: 0px 5px 10px rgba(0,0,0,0.2);

    background:#0073ff;
    color:white;
    padding: 5px 15px;
    border-radius: 5px;
}
header a:hover {
    background: #005fcc;
}
/*============================================================= انواع خدمات*/
.services {
    /* margin: 0 auto 20px; */
    direction: rtl;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0px;
    padding: 0px 0px;
}
.service {
    text-align: center;
    width: 125px;
    padding: 10px 0px;
}
.service img {
    width: 110px;
    height: auto;
    object-fit: cover;
    /* border-radius: 12px; */
    display: block;
    margin: 0 auto 10px;
}
.service p {
    font-family: 'MyFont';
    font-weight: 700;
    font-size: 14px;
    color: #000000;
    /* line-height: 1.6; */
    margin: 0;
}
.icon-before svg, .icon-after svg {
    width: 30px;
    height: 30px;
    fill: #0057c1;
}
.icon-after svg {
    transform: scaleX(-1);
}
/*============================================================= نمونه کار*/
.portfolio-filters {
    direction: rtl;
    text-align: center;
    /* margin-bottom: 20px; */
}
.portfolio-filters button {
    font-family: 'MyFont';
    font-weight: 700;
    font-size: 13px;

    /* background: #ffffff; */
    box-shadow: 0px 5px 10px rgba(0,0,0,0.2);
    background: rgba(255, 255, 255, 0.25); /* شفافیت */

    padding: 10px 20px;
    border: none;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: .3s;
}
.portfolio-filters button.active, .portfolio-filters button:hover {
    background: #0073ff;
    color: #fff;
}
.portfolio-description {
    direction: rtl;
    text-align: center;
    font-family: 'MyFont';
    font-weight: 500;
    font-size: 13px;
    color: #333;
    padding: 20px 0px 20px 0px;
    max-width: 800px;
    margin: auto;

    /* word-wrap: break-word; */
    /* overflow-wrap: break-word; */
}
.portfolio-gallery {
    direction: rtl;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}
.video-wrapper video {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
    cursor: pointer;
    object-fit: cover;
    transition: transform 0.3s;
}
.portfolio-gallery .item {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.3s ease, transform 0.5s ease;
    display: block;
}
.portfolio-gallery .item.show {
    opacity: 1;
    transform: translateY(0);
}
/*============================================================= نوار سفید PNG */
.features {
    padding: 0px 0px 10px 0px;
    margin: 0px 0px;
    direction: rtl;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: row;
}
.feature-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0px 20px;
}
.feature-column img {
    width: 70px;
    height: auto;
    margin: 0px 0px 0px 0px;
}
.feature-column p {
    font-family: 'MyFont';
    font-weight: 700;
    font-size: 14px;
    color: #000000;
    line-height: 1.6;
    text-align: center;
    margin: 5px 0px 50px 0px;

}
/*============================================================= چرا مشکات؟ */
.section-subtitle-grid{
    text-align:center;
    color:#000000;
    font-family: 'MyFont';
    font-weight: 400;
    font-size:15px;
    direction: rtl;
}
.feature-grid2 {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    direction: rtl;
    justify-content: center;
    align-items: center;
    max-width:1000px;
    margin: 0 auto;
}
.feature-box {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    /* background-color: #f9fafb; */
    border-radius: 12px;
    padding: 15px;
    min-width: 150px;
    max-width: 200px;
    box-shadow: 0px 5px 10px rgba(0,0,0,0.1);
    transition: all 0.3s ease;

    background: rgba(255, 255, 255, 0.25); /* شفافیت */
    backdrop-filter: blur(10px);
    /* -webkit-backdrop-filter: blur(10px); */
    /* border-bottom: 1px solid rgba(255, 255, 255, 0.25); */
}
.feature-box:hover {
    background-color: #e2e8f0;
}
.feature-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}
.feature-header h3 {
    font-family: 'MyFont';
    font-weight: 700;
    font-size: 14px;
    color: #000;
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
}
.feature-box p {
    font-family: 'MyFont';
    font-weight: 500;
    font-size: 12px;
    color: #555;
    line-height: 1.4;
    margin: 5px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
}
.feature-icon {
    width: 18px;
    height: 18px;
    /* align-self: flex-start; */
    /* padding: 10px 0px; */
    margin: 0;
}
/*============================================================= شرکتها*/
.logo-scroller-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
}
.logo-scroller {
    width: 1000px;
    overflow: hidden;
    position: relative;
    padding: 10px 0px;

    /* ماسک برای فید دو طرف */
    -webkit-mask-image: linear-gradient(to right,
        transparent,
        black 15%,
        black 85%,
        transparent
    );
    mask-image: linear-gradient(to right,
        transparent,
        black 15%,
        black 85%,
        transparent
    );
}
.logo-track {
    display: flex;
    animation: scroll-right 40s linear infinite;
    width: max-content;
}
.logo-track img {
    display: block;
    height: 80px;
    opacity: 0.5;
    transition: .3s;
    margin-right: 20px;
}
.logo-track img:hover {
    opacity: 1;
    transform: scale(1.10);
}
@keyframes scroll-right {
    from {
        transform: translateX(-50%);
    }
    to {
        transform: translateX(0);
    }
}
/*============================================================= فرم تماس*/
.contact-box {
    background: rgba(255, 255, 255, 0.25); /* شفافیت */
    backdrop-filter: blur(10px);
    box-shadow: 0px 5px 10px rgba(0,0,0,0.2);
    direction: rtl;
    max-width: 800px;
    margin: auto;
    padding: 30px;
    border-radius: 10px;
}
.form-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 15px;
}
.contact-form textarea::placeholder,
.contact-form input::placeholder {
    font-family: 'MyFont';
    font-weight: 500;
    font-size: 13px;
    color: #444;
}
.contact-form input:focus,
.contact-form textarea:focus {
    border: 1px solid #000;
    box-shadow: 0 0 3px #a9a9a9;
}
.contact-form input, .contact-form textarea {
    font-family: 'MyFont';
    font-weight: 700;
    font-size: 13px;
    width: 100%;
    color: #003583;
    border-radius: 8px;
    padding: 10px 15px;
    outline: none;
    border: 1px solid #eaeaea;
    background: #ffffff;
    transition: 0.20s ease;
    box-sizing: border-box;
}
.contact-form input {
    height: 40px;
}
.contact-form textarea {
    height: 110px;
    margin-top: 15px;
    resize: vertical;
}
.submit-btn {
    font-family: 'MyFont';
    font-weight: 600;
    font-size: 13px;
    display: block;
    margin: 10px auto 0;

    box-shadow: 0px 5px 10px rgba(0,0,0,0.2);
    background: #0073ff;
    color: #ffffff;
    padding: 10px 30px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    transition: 0.2s ease;
}
.submit-btn:hover {
    background: #005fcc;
    box-shadow: 0px 8px 15px rgba(0,0,0,0.3);
}
.input-wrapper {
    position: relative;
    display: inline-block;
    width: 100%;
}
.input-wrapper.required::after {
    font-family: 'MyFont';
    font-weight: 400;
    font-size: 13px;
    content: "*";
    color: red;
    position: absolute;
    right: 5px;
    top: 20%;
    transform: translateY(-50%);
    pointer-events: none;
}
/* استایل پاپ‌آپ فرم تماس */
#formModal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    z-index: 9999;
    /* display: flex; */
}
#formModal .modal-content {
    font-family: 'MyFont';
    font-weight: 600;
    font-size: 13px;

    background: #fff;
    padding: 30px;
    border-radius: 10px;
    max-width: 400px;
    width: 90%;
    text-align: center;
    direction: rtl;
    line-height: 1.8;
}
#formModal .modal-content button {
    font-family: 'MyFont';
    font-weight: 600;
    font-size: 13px;

    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background: #0073ff;
    color: #fff;
    margin-top: 15px;
}
/*=============================================================آدرس و اطلاعات تماس*/
.contact-social {
    direction: rtl;
    padding: 10px 20px;
    background: #1f2937;
}
.contact-social .container {
    max-width: 870px;
    margin: 0 auto;
    padding: 0px 0px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
.contact-info {
    text-align: right;
}
.contact-info span {
    /* text-align: right; */
    display: block;
    margin-left: 25px;
    font-size: 14px;
    direction: rtl;
    color: #ffffff;
}
.social-icons {
    display: flex;
    gap: 10px;
    /* align-items: center; */
}
.social-icons a {
    width: 30px;
    height: 30px;
    background: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(3px);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}
.social-icons i {
    font-size: 20px;
    color: #1a1c21;
    cursor: pointer;
}
.social-icons img {
    /* color: #1a1c21; */
    width: 24px;
    height: 24px;
    cursor: pointer;
}
/*----------------------------*/
footer.footer {
    padding: 20px 0;
    background: #1f2937;
    color: #ffffff;
    text-align: center;
    font-family: 'MyFont';
    font-size: 13px;
}
.footer-logos {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 25px;
    margin-bottom: 20px;
}
.footer-logos img {
    height: 90px;
    object-fit: contain;
}
.footer-copy {
    color: #ffffff;
    font-size: 13px;
}
/*======================================================================================*/
/*======================================================================================*/
.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    background: #ffffff;
    padding: 0 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    position: fixed;
    width: 100%;
    z-index: 9999;
    direction: rtl;
    gap: 30px;

    /* شیشه‌ای */
    background: rgba(255, 255, 255, 0.35); /* شفافیت */
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);   /* برای Safari */
    border-bottom: 1px solid rgba(255, 255, 255, 0.25); /* خط کم‌رنگ */
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}
.navbar ul {
    list-style: none;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    direction: rtl;
    align-items: center;
}
.navbar li {
    position: relative;
    display: flex;
    align-items: center;
    padding: 0;
}
.navbar li:not(:last-child)::after {
    content: '';
    display: block;
    width: 2px;
    height: 10px;
    background: #ccc;
    margin-left: 0px;
}
.nav-links li.has-dropdown > a::after {
    content: "▾";
    font-size: 14px;
    margin-right: 5px;
    color: #000;
}
.nav-links li.has-dropdown:hover > a::after {
    color: #0073ff;
}
.navbar a {
    display: block;
    padding: 15px 10px;
    text-decoration: none;
    font-family: 'MyFont', sans-serif;
    /* text-align: right; */
    font-size: 16px;
    /* color: #ffffff; */
    transition: color 0.3s ease;
    color: rgb(0, 0, 0);
}
.navbar a:hover {
  color: #0073ff;
}
.dropdown-content {
    position:absolute;
    background:#ffffff;
    top:50px;
    right:0;
    min-width:160px;
    box-shadow:0 2px 5px rgba(0,0,0,0.2);
    border-radius:5px;
    opacity:0;
    transform:translateY(10px);
    pointer-events:none;
    transition: opacity 0.3s ease, transform 0.3s ease;
    direction: rtl;
    text-align: right;
}
.dropdown-content a {
    padding:10px 15px;
    white-space:nowrap;
    border-bottom:1px solid #f0f0f0;
    font-size:14px;
    font-family:'MyFont', sans-serif;
    color: black;
}
.dropdown-content a:last-child {
    border:none;
}
.navbar li:hover .dropdown-content {
    opacity:1;
    transform: translateY(0);
    pointer-events:auto;
    visibility: visible;
}
.navbar .logo img {
    max-height: 40px;
    width: auto;
    display: block;
    margin: 0;
    padding: 0;
}
.hamburger {
    display: none;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    padding: 10px;
    transition: transform 0.3s ease;
}
.hamburger::before {
  content: "☰";
}
.hamburger.active::before {
  content: "✖";
}
.contact-number a {
    color: #000000;
    text-decoration: none;
    font-size: 16px;
}
@media (max-width: 768px) {
    .navbar .logo {
        margin-top: 10px;
        display: block;
    }
    .contact-number {
        position: absolute;
        left: 5px;
        top: 20px;
        font-size: 10x;
        unicode-bidi: bidi-override;
        direction: rtl;
    }
    .hamburger {
        display: block;
        font-size: 25px;
        cursor: pointer;
        color: #fff;
        position: absolute;
        top: 5px;
        right: 20px;
    }
    .navbar ul {
        flex-direction: column;
        width: 100%;
        transform-origin: top;
        transform: scaleY(0);
        max-height: 0;
        /* overflow: hidden; */
        opacity: 0;
        transition: max-height 0.5s ease, opacity 0.5s ease;
        background: #323740;
    }
    .navbar ul.active {
        /* display: flex; */
        transform: scaleY(1);
        max-height: 1000px;
        opacity: 1;
    }
    .navbar li {
        width: 100%;
        display: block;
        text-align: right;
    }
    .navbar a {
        display: block;
        width: 100%;
        padding: 8px 10px;
        color: #fff;
    }
    .hamburger::before {
        content: "☰";
        /* transition: transform 0.3s ease; */
    }
    .hamburger.active::before {
        content: "✖";
    }
    .dropdown-content {
        position: static;
        width: 100%;
        max-height: 0;
        overflow: hidden;
        opacity: 0;
        transition: max-height 0.4s ease, opacity 0.4s ease;
        background: #323740;
        text-align: right;
    }
    .dropdown-content a {
        color: #fff;
        padding: 10px 15px;
        border-bottom: 1px solid #333;
        display: block;
    }
    .dropdown-content a:last-child {
        border-bottom: none;
    }
    .dropdown-open .dropdown-content {
        max-height: 300px;
        opacity: 1;
    }
    .navbar li.open .dropdown-content {
        max-height: 500px;
        opacity: 1;
    }
    .navbar li:not(:last-child)::after {
        display: none;
    }
    .dropdown-content a:hover {
        color: #00a2ff;
    }
}
/*======================================================================================*/


